library(ggplot2)
####Q=a1, A=a2, C=a4, a3=B*x 
####S=b1, R=b0, Y=b2
nu.function=function(x,delta_vax){
  R0.listOrig=read.table("NY.csv",header=T,sep=",")
  R0.list=R0.listOrig$hku1
  beta=mean(R0.list)/5
  mu=1/(365*50)
  gamma=1/5
  Q=beta/(gamma+mu)
  A=mu
  B=delta_vax
  C=mu+delta_vax
  R=1/Q
  S=(A/Q)+(C/Q)-A-B*x
  Y=(A*C/Q)-A*C
  root1=(-S+sqrt(S^2-4*R*Y))/(2*R)
  root2=(-S-sqrt(S^2-4*R*Y))/(2*R)
  if (root1>0 & root2>0){
    stop("Two positive roots!")
  }
  out=max(root1,root2)
  return(out)
}

epsilonVector=seq(from=0,to=1,length.out=100)
nuVector1=rep(NA,length(epsilonVector))
delta_vax1=1/(0.25*365)
for (i in 1:length(epsilonVector)){
  nuVector1[i]=nu.function(epsilonVector[i],delta_vax1)
}
delta_vax2=1/(0.5*365)
nuVector2=rep(NA,length(epsilonVector))
for (i in 1:length(epsilonVector)){
  nuVector2[i]=nu.function(epsilonVector[i],delta_vax2)
}
delta_vax3=1/(1*365)
nuVector3=rep(NA,length(epsilonVector))
for (i in 1:length(epsilonVector)){
  nuVector3[i]=nu.function(epsilonVector[i],delta_vax3)
}
nu.values=c(nuVector1,nuVector2,nuVector3)
data2=data.frame(nuVector1,nuVector2,nuVector3)
epsilon.values=c(epsilonVector,epsilonVector,epsilonVector)
delta.vacc.values=c(rep(delta_vax1,length(epsilonVector)),
                    rep(delta_vax2,length(epsilonVector)),
                    rep(delta_vax3,length(epsilonVector)))

data.eq=data.frame(xx=epsilon.values,yy=nu.values,colour=as.character(1/(delta.vacc.values*365)))
f=ggplot(data.eq)+geom_line(aes(x=xx,y=yy,linetype=colour),size=1)+
  scale_y_continuous(expand=c(0,0),trans="log10")+theme_bw()+
  scale_linetype_manual(values=c("solid","dashed","dotted"))+
  scale_x_continuous(expand=c(0,0))+
  ylab("Vaccination rate ($\\nu$)")+
  xlab("Susceptibility to secondary infection ($\\epsilon$)")+
  theme(legend.title.align=0.5)+
  theme(legend.key.width=unit(2,"line"))+
  labs(linetype="Duration\nof vaccine\nimmunity\n$1/\\delta_{\\tiny\\textrm{vax}}$\n(years)")
library(tikzDevice)
tikz("eradication_july28.tex",width=4/1.2,height=2.5/1.2,standAlone=T)
print(f)
dev.off()


